{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ROM_CODE"; 
            externalType = VARCHAR2; 
            name = romCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = "ROM_D_FERMETURE"; 
            externalType = DATE; 
            name = romDFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ROM_D_OUVERTURE"; 
            externalType = DATE; 
            name = romDOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ROM_ID"; 
            externalType = NUMBER; 
            name = romId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ROM_ID_PERE"; 
            externalType = NUMBER; 
            name = romIdPere; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ROM_LIBELLE"; 
            externalType = VARCHAR2; 
            name = romLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (
        dCreation, 
        dModification, 
        romCode, 
        romDFermeture, 
        romDOuverture, 
        romId, 
        romIdPere, 
        romLibelle
    ); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EORome"; 
    classProperties = (
        dCreation, 
        dModification, 
        romCode, 
        romDFermeture, 
        romDOuverture, 
        romIdPere, 
        romLibelle, 
        toChildren, 
        toFather
    ); 
    externalName = "GRHUM.ROME"; 
    fetchSpecificationDictionary = {}; 
    name = "Fwkpers_Rome"; 
    primaryKeyAttributes = (romId); 
    relationships = (
        {
            destination = "Fwkpers_Rome"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = romIdPere; sourceAttribute = romId; }); 
            name = toChildren; 
        }, 
        {
            destination = "Fwkpers_Rome"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = romId; sourceAttribute = romIdPere; }); 
            name = toFather; 
        }
    ); 
}
